﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Reports;

namespace TestAppReporting
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            EmployeeList empList = new EmployeeList();

            Employee emp = new Employee();
            emp.Id = 10;
            emp.Name = "Jack";
            emp.Age = 90;
            emp.Address = "NY";
            empList.ListEmployee = new List<Employee>();
            empList.ListEmployee.Add(emp);

            ClientRenderSettings renderSettings = new ClientRenderSettings
            {
                DefinitionUri = "TestAppReporting.Report1.igr, TestAppReporting"
            };
            renderSettings.DataSources.Add(new Infragistics.Controls.Reports.DataSource
                    {
                        TargetDataSource = "Employee",
                        ItemsSource = empList
                    });

           xamReportViewer1.RenderSettings = renderSettings;
        }
    }
}
